@import url('https://fonts.cdnfonts.com/css/ds-digital');

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body{
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: black;
    min-height: 100vh;
}

.stopwatch{
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr .3fr;
    width: 25em;
    height: 25em;
}

.time{
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 6em;
    height: 6em;
    box-shadow: 0 0 15px 5px rgb(33, 47, 141);
    /* border: .1em solid #090979; */
    align-self: center;
    justify-self: center;
    font-size: 3em;
    font-family: 'DS-Digital';
    border-radius: 50%;
    animation: scale 5s infinite;
    color: rgb(0, 34, 255);
    background: linear-gradient(120deg, rgba(131,58,180,1) 0%, rgba(35,241,236,1) 47%, rgba(29,253,198,1) 50%, rgba(196,201,102,1) 84%, rgba(252,176,69,1) 100%);
}

.time > * {
    z-index: 100;
}

.time::before{
    content: '';
    position: absolute;
    width: 5.8em;
    height: 5.8em;
    border-radius: 50%;
    background-color: black;
    z-index: 1;
    animation: reverse1 5s infinite;
}

.button{
    display: flex;
    height: 2em;
    align-self: center;
    justify-content: space-evenly;
}

.button button{
    position: relative;
    width: 5em;
    height: 5em;
    border-radius: 50%;
    padding: 0 1em;
    font-weight: bold;
    border: .2em solid rgb(0, 34, 255);
    color: rgb(0, 34, 255);
    background-color: white;
    box-shadow: 0 0 5px 0 rgba(0, 0, 0, .1);
    transition: .5s;
    background: transparent;
    cursor: pointer;
    /* background: linear-gradient(120deg, rgba(131,58,180,1) 0%, rgba(35,241,236,1) 47%, rgba(29,253,198,1) 50%, rgba(196,201,102,1) 84%, rgba(252,176,69,1) 100%); */
}

.button button:hover{
    box-shadow: 0 0 15px 0 rgb(0, 34, 255);
    font-size: 1em;
    transform: scale(1.05);
}

@keyframes scale{
    0%{
        transform: scale(1);
    }
    50%{
        transform: scale(1.05);
    }
    100%{
        transform: scale(1);
    }
}

@keyframes rotate {
    to{
        transform: rotate(360deg);
    }
}

@keyframes reverse1 {
    to{
        transform: rotate(-360deg);
    }
}